#### 大小写转换

Python 提供了**upper()** 和 **lower()** 方法，来对字符串进行大小写转换。其中，**upper()** 会将字符串中的所有字符都转换为大写，**lower()** 则将所有字符转换为小写。除此之外，Python 还贴心的提供了 **title()** 方法，将字符串所有单词的首字母变成大写，而其他字母依然小写。

<details><summary>点击查看上述三个方法的语法</summary>
<hr>

```python
# 将源字符串转换为大写并存入upper_string变量
upper_string = source_string.upper()
# 将源字符串转换为小写并存入lower_string变量
lower_string = source_string.lower()
# 将源字符串每个词首字母转换为大写并存入title_string变量
title_string = source_string.title()
```
其中，source_string为待处理的源字符串。
</details>

<details><summary>点击查看上述三个方法的具体使用实例</summary>
<hr>


```python
# coding=utf-8
# 创建一个字符串say_hello
say_hello = 'Dear my Daughter'
# 使用upper()方法对say_hello字符串进行处理
upper_say_hello = say_hello.upper()
# 使用lower()方法对say_hello字符串进行处理
lower_say_hello = say_hello.lower()
# 使用title()方法对say_hello字符串进行处理
title_say_hello = say_hello.title()
# 打印输出四个字符串
print (say_hello+"\n")
print (upper_say_hello+"\n")
print (lower_say_hello+"\n")
print (title_say_hello+"\n")
```
输出结果：
```python
Dear my Daughter
DEAR MY DAUGHTER
dear my daughter
Dear My Daughter
```


> 注意： 由上述打印结果可以看出，上述方法的调用，并不会对原始的 say_hello字符串产生影响，转换后的字符串会存入新的变量中。
</details>
