#### 去除字符串首尾空格

Python 提供了 **strip()** 方法，可以去除字符串两侧（不包含内部）全部的空格。使用该方法，也可以通过指定参数，去除两侧指定的特定字符。


> 注意：在指定参数时，如果参数是多个字符，则该方法会将多个字符逐个去比对，进行删除（区分大小写），直到首尾两侧没有匹配的字符为止。但是，该方法对字符串中间的字符没有影响。
<details><summary>点击查看strip()的基本语法</summary>
<hr>

```python
strip_string1 = source_string.strip()
string_strip2 = source_string.strip(target_char)
```
其中：

- source_string：待处理的源字符串；

- strip_string1和strip_string2：处理后的字符串；

- target_char：需要从源字符串首尾去除的特定字符。

</details>

<details><summary> 点击查看具体使用实例</summary>
<hr>

```python
# coding = utf-8
# 创建一个字符串hello_world
hello_world = '  **The world ** is big!*    '
# 利用strip()方法处理hello_world字符串
blank_hello_world = hello_world.strip()
char_hello_world = hello_world.strip('TH *')
# 打印输出转换后的字符串
print(blank_hello_world)
print(char_hello_world)
```
输出结果：
```
**The world ** is big!*
he world ** is big!
```
输出结果分析：

从第一行打印结果可以看到，strip()方法去除了源字符串首尾的所有空格，但是并没有去除字符串中间的空格；

从第二行打印结构可以看出，strip()方法将源字符串首尾所有空格、* 以及字符T去掉了，而源字符串中头部的h因为是小写并没有去除。


</details>



