#### 添加列表元素

Python 提供了**append()** 和 **insert()** 等函数，实现向一个列表增加新元素的功能。

1. 在列表尾部添加元素
在 Python 中，可以使用append()方法向一个列表的尾部追加一个元素，

<details><summary> 点击查看基本语法</summary>
<hr>

```python
source_list.append(obj)
```
其中：

- source_list：待修改的列表；

- obj：待插入的元素。

</details>

<details><summary> 点击查看示例：向guests列表尾部增加客人Hu qi</summary>
<hr>

```python
# 初始化guests列表
guests=['Zhang san','Li si','Wang wu','Zhao liu']
# 向guests列表尾部追加一个名为Hu qi的客人
guests.append('Hu qi')
# 输出新的guests列表
print(guests)
```
输出结果为：

```python
['Zhang san','Li si','Wang wu','Zhao liu','Hu qi']
```
</details>



2. 在列表指定位置添加元素

Python 也提供了insert()方法，可以在列表任意指定位置插入元素，
<details><summary> 点击查看基本语法</summary>
<hr>

```python
source_list.insert(index,obj)
```
其中：

- source_list：待修改的列表；

- index：待插入的位置索引；

- obj：待插入的元素。


</details>

<details><summary> 点击查看示例：向guests列表中Zhang san的后面增加客人Hu qi</summary>
<hr>

```python
# 创建并初始化guests列表
guests=['Zhang san','Li si','Wang wu','Zhao liu']
# 向guests列表Zhang san后面增加一个名为Hu qi的客人
guests.insert(1,'Hu qi')
# 输出新的guests列表
print(guests)
```
输出结果为：
```python
['Zhang san','Hu qi','Li si','Wang wu','Zhao liu']
```
</details>



