#### 删除列表元素

Python 提供了多种不同的方法来实现对列表中元素的删除操作，包括根据元素索引位置或者元素值删除元素的方法。

### 删除指定位置的元素:

1. del方法

在 Python 中，调用del函数能够删除指定索引位置的元素

<details><summary>点击查看del函数基本语法</summary>
<hr>

```python
del source_list[index]
```
其中：

- source_list：待修改的列表；

- index：待删除元素的位置索引。

</details>

<details><summary>点击查看示例：将请客名单guests列表中的Zhang san删除</summary>
<hr>

```python
# 初始化guests列表
guests=['Zhang san','Li si','Wang wu','Zhao liu']
# 将列表中的`Zhang san`删除
del guests[0]
# 输出新的guests列表
print(guests)
```
输出结果为：
```python
['Li si','Wang wu','Zhao liu']
```

</details>




2. pop方法

Python 还提供了pop()方法来删除元素，该方法将从源列表删除对应元素，同时返回被删除的元素。

<details><summary>点击查看pop()方法基本语法</summary>
<hr>

```python
deleted_obj = source_list.pop(index)
```
其中：

- deleted_obj：保存被删除元素的变量，可根据需要自由命名；

- source_list：待修改的列表；

- index：待删除元素的位置索引。

> 注意:index参数为可选项，不填则默认删除列表末尾的元素。


</details>

<details><summary>点击查看示例：将请客名单guests列表中的Zhang san删除</summary>
<hr>

```python
# 初始化guests列表
guests=['Zhang san','Li si','Wang wu','Zhao liu']
# 将列表中的`Zhang san`删除
deleted_obj = guests.pop(0)
# 输出被删除的元素以及删除后的guests列表
print(deleted_obj)
print(guests)
```
输出结果为：
```python
Zhang san
['Li si','Wang wu','Zhao liu']
```

</details>



### 删除指定值对应的元素

有些时候我们并不知道要删除元素的位置索引，怎么办呢？别着急，Python 还提供了remove()方法，可以直接通过元素值来删除对应的元素。

<details><summary>点击查看remove()方法基本语法</summary>
<hr>

```python
source_list.remove(obj)
```
其中：

- source_list：待修改的列表；

- obj：待删除元素的值。

> 注意：如果列表中有多个值为obj的元素，remove仅删除位置索引最靠前的那个元素。



</details>

<details><summary>点击查看示例：将请客名单guests列表中的Zhang san删除</summary>
<hr>


```python

# 初始化guests列表，列表中有多个名为Zhang san的客人
guests=['Zhang san','Li si','Wang wu','Zhao liu','Zhang san']
# 将列表中的`Zhang san`删除
guests.remove('Zhang san')
# 输出新的guests列表
print(guests)
```
输出结果为：
```python
['Li si','Wang wu','Zhao liu','Zhang san']
```

</details>


