#### range()函数

Python 提供了range()函数，能够用来生成一系列连续增加的数字。
<details><summary>点击查看基本语法</summary>
<hr>

```python
range(lower_limit,upper_limit,step)
```
其中：

- lower_limit: 生成系列整数的下限整数，不填该参数则默认为从0开始，生成的整数从此数开始，包括该数；

- upper_limit：生成系列整数的上限整数，必填参数，生成的整数要小于该上限；

- step：在下限和上限之间生成系列整数之间的间隔步长，不填该参数则默认步长为1。

> 注意：range()函数的三个参数都只能为整数。如果range()函数中仅一个参数，则该参数表示upper_limit，如果仅两个参数，则分别表示lower_limit和upper_limit。
</details>

<details><summary>点击查看示例：生成1~6之间步长为2的系列整数</summary>
<hr>

```python
for i in range(1,6,2):
    print(i)
```
输出结果：
```python
1
3
5
```
</details>

下面我们介绍两种通过range()创建数字列表的方法

1. 基于 **range()** 函数创建数字列表

我们可以通过range()函数，利用 Python 列表提供的append()插入功能创建一个列表。

<details><summary>点击查看示例：创建一个包含10个0~9整数的平方的列表</summary>
<hr>

```python
# 声明一个列表变量
numbers = []
# 利用append()函数和range()函数向列表插入目标元素
for i in range(10):
    number = i**2
    numbers.append(number)
print(numbers)
```
输出结果：
```python
[0, 1, 4, 9, 16, 25, 36, 49, 64, 81]
```

</details>

2. 使用 **list()** 函数和 **range()** 函数创建数字列表

我们可以利用 **list()** 函数和 **range()** 生成的系列数字直接转为列表，这时range()函数的返回值将会作为list()函数的参数，输出为一个数字列表。

<details><summary>点击查看基本语法</summary>
<hr>

```python
data_list = list(range(lower_limit,upper_limit,step))
```
其中：

- list：列表函数的语法关键词；

- range：函数语法关键词；

- data_list：最终生成的列表变量。

</details>

<details><summary>点击查看示例：生成并输出1~5的数字列表</summary>
<hr>

```python
data_list = list(range(1,6))
print(data_list)
```
输出结果：
```python
[1,2,3,4,5]
```

</details>

