#### 元组和字典
本节我们将学习关于元组和字典的知识，首先我们来认识一下元组。

#### 元组的特点

1. 元组与列表很相似，两者之间的差别在于：

- 列表在初始化后其中的元素还可以进行增删改等操作，但是元组在初始化后其中的元素不能进行更改；

- 列表在赋值时使用方括号[]，而元组在赋值时使用小括号()

2. 元组的括号是可选的——定义元组时外层可以使用括号，也可以不使用；元素之间用逗号分隔。例如：




```python
t1 = 123,456,"hello"
t2 = (123,456,"hello")
#t1和t2是完全一致的
```




3. 元组可以是空的，例如
```python
t2 = ()
```

4. 元组可以只包含一个元素，其语句为：
```python
t3 = 123,
```
> 注意不要忘记末尾的逗号哦！


5. 元组中的元素可以使用不同类型。一个元组也可以作为另一个元组的元素，只是此时作为元素的元组要加上括号来区分，从而避免歧义！

```python
t3 = 123456,("hello","da")
```

7. 元组中各元素存在先后关系，可以通过索引访问元组中元素。如:
```python
t3[0]
```



因为元组具有不可变的特性，所以在能用元组替代列表的地方最好都使用元组，这样代码更安全。

