接下来，我们来看看关于元组的一系列操作吧！

#### 创建元组
元组创建很简单，只需要在括号()中添加元素，元素之间用逗号隔开。元组中只包含单个元素时，需要在该元素后面添加逗号。


<details><summary> 点击查看示例</summary>
<hr>

```python
menu1 = ('meat','fish','chicken')
menu2 = ('meat',)
```

</details>

#### 访问元组
元组和列表一样，可以使用下标索引来访问元组中的值。

<details><summary> 点击查看示例</summary>
<hr>

```python
menu = ('meat','fish','chicken','carrot')
print(menu[0])
print(menu[1:3])
```
输出结果：
```python
meat
('fish', 'chicken')
```


</details>



#### 修改元组

元组中的元素值是不可以修改的，如果强行修改会报错。

<details><summary> 点击查看示例：修改元组menu中的某个值</summary>
<hr>

```python
menu = ('meat','fish','chicken','carrot')
menu[0] = 'pizza'
print(menu[0])
```
输出结果：
```python
TypeError: 'tuple' object does not support item assignment
```

系统会自动报错，元组中的元素值不支持修改。


</details>


#### 元组内置函数
元组和列表一样，都有一些内置函数方便编程。例如：

- len(tuple)：计算元组中元素个数；

- max(tuple)：返回元组中元素的最大值；

- min(tuple)：返回元组中元素的最小值；

- tuple(seq)：将列表转换为元组。

元组中的元素是不能改变的，它也没有append()、insert()这样的方法，但其他获取元素的方法和列表是一样的。
