#### 字典的遍历

了解完了字典和字典元素的增删改操作，我们来看一看关于字典元素的遍历。

#### 遍历字典中的键-值对

Python 为字典类型提供了items()方法，items()方法会将字典里的所有的键与值一起返回。

<details><summary> 点击查看示例：遍历输出菜单menu字典的键和值</summary>
<hr>

```python
# coding = utf-8
# 创建并初始化menu菜单字典
menu={'fish':'40','pork':'30','potato':'20','lamb':'50'}
# 利用items()方法遍历输出键和值
for key,value in menu.items():
    print('\nkey:'+key)
    print('value:'+value)
```

输出结果：
```python
key:fish
value:40
key:pork
value:30
key:potato
value:20
key:lamb
value:50
```
输出结果表示，items()方法每次都将对应的键和值指定到key和value变量中，然后用for循环输出。
</details>


#### 遍历字典中的键

Python 为字典类型内置了keys()方法，该方法会将字典里的键遍历出来。
<details><summary>点击查看示例：遍历输出字典menu里的键。</summary>
<hr>

```python
# 创建并初始化menu菜单字典
menu={'fish':'40','pork':'30','potato':'20','lamb':'50'}
# 利用keys()方法遍历输出键
for key in menu.keys():
    print('food_name:'+key)
```

输出结果：
```python
food_name:fish
food_name:pork
food_name:potato
food_name:lamb
```
输出结果表示，keys()方法每次都是将menu菜单中的键输出，显示菜名。

</details>




#### 遍历字典中的值

对于餐馆中的收银员来说，他们可能并不想知道菜单的菜名，只需要知道菜的价格，然后收账即可。所以对于收银员来说，我们需要遍历menu字典中的所有菜的价格。Python 为字典类型内置了values()方法，该方法会将字典里的值遍历出来。

<details><summary>点击查看示例：遍历输出字典menu里的值。</summary>
<hr>

```python
# 创建并初始化menu菜单字典
menu={'fish':'40','pork':'30','potato':'20','lamb':'50'}
# 利用values()方法遍历输出值
for value in menu.values():
    print('food_price:'+value)
```

输出结果：
```python
food_price:40
food_price:30
food_price:20
food_price:50
```
输出结果表示，values()方法每次都是将menu菜单中的值输出，显示菜的价格。
</details>







