#### Python 运算符

Python 中的运算符包括：

- 算术运算符；

- 比较(关系)运算符；

- 赋值运算符；

- 逻辑运算符；

- 位运算符；

- 成员运算符；

- 身份运算符。

下面我们逐一对这些运算符进行介绍。

#### 算术运算符

算术运算符包括：加+、减-、乘*、除/、取模-返回除法的余数%、幂-返回x的y次幂\*\*、取整数-返回商的整数部分//。

<details><summary> 点击查看算术运算符示例</summary>
<hr>

```python
a = 10
b = 20
print(a + b)
```
输出结果为：
```python
30
```

计算b除以a的余数：
```python
print(b % a)
```

输出结果为：
```python
0
```

</details>



#### 比较(关系)运算符

比较(关系)运算符包括：等于==、不等于!=或者<>、大于>、小于<、大于等于>=、小于等于<=。

<details><summary>点击查看比较运算符示例</summary>
<hr>

判断a与b是否相等：
```python
a = 10
b = 20
a == b
```

返回：
```python
false
```

判断a与b是否不相等：
```python
a = 10
b = 20
a <> b
```

返回：
```python
true
```

</details>


#### 赋值运算符

赋值运算符包括:

- =：简单的赋值运算符；
- +=：加法赋值运算符；
- -=：减法赋值运算符；
- \*=：乘法赋值运算符；
- /=：除法赋值运算符；
- %=：取模赋值运算符；
- \*\*=：幂赋值运算符；
- //=：取整除赋值运算符。

<details><summary> 点击查看赋值运算符示例</summary>
<hr>

将a与b的和赋值给c：
```python
c = (a + b)
```
将c乘以a的值赋值给c：
```python
c *= a
```

等价于：
```python
c = (c * a)
```

</details>


