## 迭代器具体操作

**定义迭代器**

当自己定义迭代器时，需要定义一个类。类里面包含一个`iter()`函数，这个函数能够返回一个带`next()`方法的对象。

<details><summary> 定义迭代器示例 </summary>
<hr>


```python
class MyIterable:
    def __iter__(self):
        return MyIterator()
class MyIterator:
    def __init__(self):
        self.num = 0
    def __next__(self):
        self.num += 1
        if self.num >= 10:
            raise StopIteration
        return self.num
```

</details>

**复制迭代器**

迭代器当一次迭代完毕后就结束了，在此调用便会引发`StopIteration`异常。如果想要将迭代器保存起来，可以使用复制的方法:`copy.deepcopy():x = copy.deepcopy(y)`，不可使用赋值的方法，这样是不起作用的。
