#### 内置函数——让你偷懒的工具


<details><summary> 数学运算相关的内置函数</summary>
<hr>

- abs()：返回数值的绝对值，例如：

```python
>>> abs(-4)
4
```

- divmod()：返回两个数值的商和余数，例如：

```python
>>> divmod(7,2)
(3,1)
```

- max()：返回元素中的最大值，例如：

```python
>>> max(2,6,1,7)
7
```

- min()：返回元素中的最小值，例如：

```python
>>> min(2,6,1,7)
1
```

- sum()：返回传入元素之和，例如：

```python
>>> sum((1,2,3,4))
10
>>> sum([1,2,3,4])
10
>>> sum((1,2,3,4),-10)
0
```

</details>

<details><summary> 类型转换相关的内置函数</summary>
<hr>

- bool()：根据传入的参数的逻辑值创建一个新的布尔值，例如：

```python
>>> bool()
False
>>> bool(1)
True
>>> bool(0)
False
>>> bool('str')
True
```

- int()：根据传入的参数创建一个新的整数，例如：

```python
>>> int('3')
3
>>> int('3.6')
3
```

- float()：根据传入的参数创建一个新的浮点数，例如：

```python
>>> float()     # 不提供参数的时候，返回0.0
0.0
>>> float(3)
3.0
>>> float('3')
3.0
```

- complex()：根据传入的参数创建一个新的复数，例如：

```python
>>> complex()     # 当两个参数都不提供时，返回复数0j
0j
>>> complex('2+4j')
(2+4j)
>>> complex(1,2)
(1+2j)
``` 
</details>



|| _在这一部分我们学习了**算数和类型转换相关**的内置函数， 接下来我们将继续学习其他相关的内置函数_||
