#### 内置函数——让你偷懒的工具 续

<details><summary> 序列操作 相关的内置函数</summary>
<hr>

- all()：判断可迭代对象的每个元素是否都为True值，例如：

```python
>>> all([1,2,3])     # 列表中每个元素逻辑值均为True，返回True
True
>>> all([0,1,2])     # 列表中0的逻辑值为False，返回False
False
>>> all(())     # 空元组
True
```

- any()：判断可迭代对象的元素是否有为True值的元素，例如：

```python
>>> any([0,1,2])     # 列表元素有一个为True，则返回True
True
>>> any([0,0])     # 列表元素全部为False，则返回False
False
>>> any([])     # 空列表
False
```

- sorted()：对可迭代对象进行排序，返回一个新的列表。例如：

```python
>>> a = ['a','b','d','c','B','A']
>>> a
['a', 'b', 'd', 'c', 'B', 'A']
>>> sorted(a)     # 默认按字符ascii码排序
['A', 'B', 'a', 'b', 'c', 'd']
```

</details>

<details><summary> 对象操作 </summary>
<hr>

- help()：返回对象的帮助信息；

- dir()：返回对象或者当前作用域内的属性列表。

</details>

<details><summary> 交互操作 </summary>
<hr>

- print()：向标准输出对象打印输出；

- input()：读取用户输入值。

</details>

<details><summary> 文件操作 </summary>
<hr>

- open()：使用指定的模式和编码打开文件，返回文件读写对象。例如：

```python
# t为文本读写，b为二进制读写
>>> a = open('test.txt','rt')
>>> a.read()
some text
>>> a.close()
```

</details>

|| _以上就是有关内置函数的全部内容，接下来我们将学习**函数正确调用——得到想要的结果**_ ||
