#### 函数与函数调用——分清主次

我们要学习函数与函数之间的调用，就应该对**函数调用的顺序与参数**有清晰的认识，我们将会从**五种情况**让读者了解并掌握函数与函数之间的调用的基本关系和联系。

<details><summary> 第一种情况 </summary>
<hr>

程序代码如下：

```python
def x(f):
    def y():
        print(1)
    return y
def f():
    print(2)
x(f)
```

运行结果：无结果

分析：因为第9行中的x(f)中的f没有带括号，f只是一个普通的参数，所以程序只调用执行了x(f)函数，没有调用执行f()函数。x(f)函数中虽然也定义了y()函数，但是x(f)函数中没有调用执行y()函数，只是执行了return y。而y变量也没有值，所以整个程序的返回值就为无结果。

</details>

<details><summary> 第二种情况 </summary>
<hr>

程序代码如下：

```python
def x(f):
    def y():
        print(1)
    return y
def f():
    print(2)
x(f())
```

运行结果：`2`

分析：因为第9行中的x(f())中的f()带括号，所以程序先调用执行f()函数，先输出2。然后2作为参数传入到x(f)函数中，程序开始调用执行x(f)函数。x(f)函数中虽然也定义了y()函数，但是x(f)函数中没有调用执行y()函数，只是执行了return y。而y变量也没有值，所以调用执行x(f)函数没有产生任何结果。因此该程序最终只输出了2。

</details>

<details><summary> 第三种情况 </summary>
<hr>

程序代码如下：

```python
def x(f):
    def y():
        print(1)
    return y()
def f():
    print(2)
x(f)
```

运行结果：`1`

分析：因为第9行中的x(f)中的f没有带括号，f只是一个普通的参数，所以程序只调用执行了x(f)函数，没有调用执行f()函数。x(f)函数中也定义了y()函数，并且返回是y()函数。因此程序调用执行了y()函数，输出结果是1。

</details>

<details><summary> 第四种情况 </summary>
<hr>

程序代码如下：

```python
def x(f):
    def y():
        print(1)
    return y()
def f():
    print(2)
x(f())
```

运行结果：`2    1`

分析：因为第9行中的x(f())中的f()带括号，所以程序调用执行了f()函数，先输出2。然后2作为参数传入到x(f)函数中，程序开始调用执行x(f)函数。x(f)函数中也定义了y()函数，并且返回是y()函数。因此程序也调用执行了y()函数，也输出了1。最终该程序先后输出了2和1。

</details>

<details><summary> 第五种情况 </summary>
<hr>

程序代码如下：

```python
def x(f):
    def y():
        print(1)
        print(f())
    return y()
def f():
    #print(2)
    return 2
x(f)
```

运行结果：`1    2`

分析：因为第9行中的x(f)中的f没有带括号，f只是一个普通的参数，所以程序只是先调用执行了x(f)函数。在x(f)函数中也定义了y()函数，而且返回值是y()函数，所以程序会调用执行y()函数。在y()函数中先是执行print(1)语句，输出1，接着执行print(f())语句，所以程序在这时也会调用执行f()函数，输出2。最终该程序先后输出了1和2。

</details>


|| _以上是对函数与函数之间调用的五种情况的分析，接下来我们进入**本阶段的编程题练习**_ ||
