#### 模块的定义

模块能够让我们有逻辑地组织 Python 代码段，模块中能够**定义函数、类和变量**，模块里也可以**包含可执行的代码**。

## 模块的引入

1. Python 中要用**关键字import**来引入某个模块。比如要引用模块math，就要在文件的开头用`import math`来引入。在调用math模块中的函数时，引用格式为：
`模块名.函数名`

<details><summary> 引用格式举例 </summary>
<hr>

因为这种调用方式可以避免特殊情况的发生。比如在多个模块中可能含有相同名称的函数，这时如果只是通过函数名来调用，程序无法知道是要调用哪个函数。所以如果用上述方法引入模块的时候，调用函数必须加上模块名。例如：

```python
import math
print(fabs(-2))
```

输出结果：`NameError: name 'fabs' is not defined`

fabs()必须加上math前缀，例如：

```python
import math
print(math.fabs(-2))
```

输出结果：`2`

</details>

2. 有些时候我们**只需要用到模块中的某个函数**，这时不需要导入整个模块，只需要导入该函数即可。语句格式为：
`from 模块名 import 函数名1,函数名2....`

3. 如果想一次性引入模块math中所有的函数，可以导入方式为：
`from math import *`

## 自己定义模块

每个 Python 文件都可以看作一个模块，模块的名字就是 Python 文件的名字。所以我们完全可以自己写一个 Python 文件，作为自己定义的模块。

<details><summary> 自定义模块举例 </summary>
<hr>

例如，我们编写了my_module.py文件，里面定义了plus()函数：

```python
# my_module.py
def plus(a,b):
    return a+b
```

之后我们就可以在其他 Python 文件中先引入my_module，然后通过my_module.plus(a,b)来调用my_module.py文件中的plus()函数。我们也可以直接通过from my_module import plus来导入plus()函数。

</details>


|| _如此一来，我们学习了**模块的定义**，接下来我们将进一步学习**内置模块中的内置函数**。_ ||
