#### 内置模块中的内置函数

我们在安装好了 Python 配置文件后，也将 Python 本身带有的库也安装好了， Python 自带的库也叫做 Python 的**内置模块**。Python 的内置模块是 Python 编程的重要组织形式，内置模块中的内置函数也极大方便了编程过程中对函数等功能的使用。

## 内置模块

<details><summary> Python 中常见的内置模块 </summary>
<hr>

- os模块：文件和目录，用于提供系统级别的操作；

- sys模块：用于提供对解释器相关的操作；

- json模块：处理JSON字符串；

- logging: 用于便捷记录日志且线程安全的模块；

- time&datetime模块：时间相关的操作，时间有三种表示方式；

- hashlib模块：用于加密相关操作，代替了md5模块，主要是提供SHA1、SHA224、SHA256、SHA384、SHA512和MD5算法；

- random模块：提供随机数。


</details>

## 内置模块中的内置函数

<details><summary> Python中使用便利的内置函数 </summary>
<hr>

**1. dir()函数**

dir()函数是一个排好序的字符串列表，其内容是一个模块里定义过的名字，包含在一个模块里定义的所有模块、变量和函数。例如：

```Python
# 导入内置math模块
import math
# 调用math模块中的dir()函数
content = dir(math)
# 输出math模块中所有模块、函数和变量的名字
print(content)
```

输出结果：
```python
['__doc__', '__loader__', '__name__', '__package__', '__spec__', 'acos', 'acosh', 'asin', 'asinh', 'atan', 'atan2', 'atanh', 'ceil', 'copysign', 'cos', 'cosh', 'degrees', 'e', 'erf', 'erfc', 'exp', 'expm1', 'fabs','factorial', 'floor', 'fmod', 'frexp', 'fsum', 'gamma', 'gcd', 'hypot', 'inf', 'isclose', 'isfinite', 'isinf', 'isnan', 'ldexp', 'lgamma', 'log', 'log10', 'log1p', 'log2', 'modf', 'nan', 'pi', 'pow', 'radians', 'sin','sinh', 'sqrt', 'tan', 'tanh', 'tau', 'trunc']
```

**程序输出了math模块中所有模块、函数和变量的名字**。特殊字符串变量__name__是指向模块的名字，变量__file__是指向该模块的导入文件名。

**2. globals()和locals()函数**

globals()和locals()函数可被用来返回全局和局部命名空间里的名字。如果在函数内部调用的是globals()函数，那么返回的是所有在该函数里能够访问的全局名字。如果在函数内部调用的locals()函数，返回的是能够在该函数里访问的局部命名。globals()函数和locals()函数的返回类型都是字典，所以名字们能用keys()函数摘取。

**3. reload()函数**

当一个模块被导入到一个脚本中后，程序只会将模块顶层部分的代码执行一次。因此，如果我们想再次执行模块顶层部分的代码，可以用reload()函数。该函数便会重新将之前导入过的模块导入。格式如下：

`reload(module_name)`

在这里，module_name要直接放模块名，而不能是一个字符串形式。例如，我们想重载hello模块：

`reload(hello)`
</details>

|| _以上就是有关模块的全部内容了，接下来我们将进行本阶段的**编程练习**。_ ||
