## 必选参数

必选参数也叫位置参数，是函数中最常用的参数。必选参数就是在调用函数的时候必须指定参数值。

<details><summary> 必选参数举例</summary>
<hr>

```python
# 定义加法函数plus，参数a,b就是必选参数
def plus(a,b):
   c=a+b
   return(c)
# 调用函数plus时，必须给参数a,b传递值
d=plus(1,2)
# 输出结果d = 3
print(d)
```

如果调用plus函数时，传入的参数不符合要求，则会出现错误。

</details>


## 默认参数

默认参数是指给函数参数提供默认值，如果在调用函数的时候没有给该参数传递值，则该参数使用默认值。

<details><summary> 默认参数举例</summary>
<hr>

```python
# 定义加法函数plus，参数a是必选参数，参数b是默认值2的参数
def plus(a,b=2):
   c=a+b
   return(c)
# 调用函数plus时，必须给参数a传递值，若不给b传递值，则b默认为2
d=plus(1)
# 输出结果d
print(d)
```

从上面的例子可以看出，在函数调用过程中可以不用给默认参数传递参数值。但在使用默认参数时，有两点需要注意：

- 默认参数要放在所有必选参数的后面；

- 默认参数必须指向不变对象。

</details>

_|| 接下来我们继续学习剩余的两种参数类型 ||_
