## 参数组合
我们在函数定义过程中，可以同时用到必选参数、默认参数、可变参数、关键字参数中的一种或几种。但是需要特别注意的是，这四种参数在使用的过程中是有顺序的，顺序依次应该是必选参数、默认参数、可变参数和关键字参数。

<details><summary> 参数组合举例 </summary>
<hr>

```python
# 定义一个包含必选参数、默认参数、可变参数和关键字参数的函数plus
def plus(x, y, z=0, *args, **kw):
   print('x=',x)
   print('y=',y)
   print('z=',z)
   print('args=',args)
   print('kw=',kw)
# 调用函数plus，输入两个参数1,2
plus(1,2)
```

输出结果：
```python
x= 1
y= 2
z= 0
args= ()
kw= {}
```
</details>

上面这个例子中，向plus函数中传入了两个必选参数1和2。必选参数必须得提供值，但是默认参数、可变参数和关键字参数可以不用提供值，我们还可以给默认参数、可变参数和关键字参数传递值。

|| _接下来我们将学习函数的返回值。_ ||
