### 函数的返回值 - 可有可无的 return

函数在进行运算处理后，返回的值被称为返回值。函数返回的值是通过**return语句**执行。返回值能够让我们直接得到函数处理的结果，而不必关心函数内部复杂繁重的运算过程，大大提高了编程效率。

**return语句**将值返回到调用函数的出口，函数中一定要有return返回值才是完整的函数。如果我们没有在函数中定义函数返回值，那么程序会自动让函数返回一个结果，该结果是None对象，而None对象表示没有任何值。

## 将值作为返回值
函数的返回值只有一个，但有时我们会发现有的函数好像有多个返回值，其实这里的“多个”并不是指多个返回值。比如函数返回一列表，里面包含很多个元素值。这就类似于，只能从超市带走一个箱子，但是允许我们把一些东西都装到箱子里面看做一个东西带走。

<details><summary> 将值作为返回值举例 </summary>
<hr>

```python
def f():
    return 1,'abc','1234'
print(f())
```

输出结果：
`(1, 'abc', '1234')`

调用f()函数，程序输出为一个元组，所以函数返回值表面上是3个值，其实是返回一个元组，元组里面有三个不同元素（元组语法上不需要一定带上圆括号）。

</details>

|| _除了将值作为返回值以外，我们还可以将函数作为返回值，请点击继续学习。_ ||
